<!-- Add Sub Utility Button -->
<div class="mb-2">
  <button class="btn btn-primary" (click)="openModal(addSubUtilityModal)">Add {{selectedUtility | titlecase}}</button>
</div>

<!-- Start of Common Sub Utility Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Utilites Table</h6>
  </div>
  <div class="card-body">
    <simpliflysaas-data-table [loading]="commonSubUtilityLoading" [closeEditMode]="showSaveOption"
      [dataSource]='commonSubUtility' [itemPerPage]='dataPerPage' [tableColumns]="commonSubUtilityFormControls"
      [showActionField]="true" (delete)="openConfirmDialog($event)" (update)="updateSubUtility($event)"
      [isActionInProgress]="processingAction">
    </simpliflysaas-data-table>
  </div>
</div>
<!-- End of Common Sub Utility Table -->

<!-- Add Utility Modal -->
<ng-template #addSubUtilityModal>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Add {{selectedUtility | titlecase}}</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="closeModal()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <ng-container *ngFor="let formControl of commonSubUtilityFormControls">
      <simpliflysaas-dynamic-form [form]="commonSubUtilityForm" [formCtrl]="formControl" [submitted]="submitted">
      </simpliflysaas-dynamic-form>
    </ng-container>
  </div>
  <div class="modal-footer">
    <button class="btn btn-primary" class="btn btn-primary" (click)="addSubUtilityItem()">Save</button>
    <button class="btn btn-danger" type="button" (click)="closeModal()">Cancel</button>
  </div>
</ng-template>